using RestSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Tr.Sdk.Tels
{
    public class QueryQueueWaitNumRequest : TrRequest
    {
        public override Method HttpMethod() => Method.Get;

        public override string Path() => $"/api/ola/queues/{QueueId}/get_callers";

        [RequestProperty(Name = "args")]
        public string QueueId { get; set; }
    }


    public class QueryQueueWaitNumResponse
    {
        [JsonPropertyName("count")]
        public string Count { get; set; }
    }
    
}
